Cyberduck Mountain Duck CLI

#8326 closed enhancement (fixed)

Command line interface

Reported by: dkocher Owned by:
Priority: normal Milestone: 4.7
Component: cli Version: 4.5.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Provide a command line interface to transfer and edit files that runs on Mac, Windows & Linux.

Change History (20)

comment:1 Changed on Nov 12, 2014 at 1:19:14 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Nov 12, 2014 at 1:20:29 PM by dkocher

Documentation forthcoming in CLI.

comment:4 Changed on Nov 12, 2014 at 1:22:04 PM by dkocher

Generic CLI build for all platforms in r15567.

comment:5 Changed on Nov 12, 2014 at 1:22:30 PM by dkocher

Add generic editor with no native dependencies in r15656.

comment:6 Changed on Nov 12, 2014 at 1:23:59 PM by dkocher

See also #6061 (Linux Version).

comment:7 Changed on Nov 12, 2014 at 1:24:56 PM by dkocher

The current usage print looks like

Usage: duck [options...] <url> [<file>]
The <url> must be a fully qualified URL of remote file or folder such as 'ftps://example.net/resource'. Can include username and password prefixed to the host name.
 Supported protocols
ftp	FTP (File Transfer Protocol)
	Example URL: ftp://<hostname>/<folder>/<file>
ftps	FTP-SSL (Explicit AUTH TLS)
	Example URL: ftps://<hostname>/<folder>/<file>
sftp	SFTP (SSH File Transfer Protocol)
	Example URL: sftp://<hostname>/<folder>/<file>
dav	WebDAV (Web-based Distributed Authoring and Versioning)
	Example URL: dav://<hostname>/<folder>/<file>
davs	WebDAV (HTTP/SSL)
	Example URL: davs://<hostname>/<folder>/<file>
swift	Swift (OpenStack Object Storage)
	Example URL: swift://<container>/<key>
s3	S3 (Amazon Simple Storage Service)
	Example URL: s3://<container>/<key>
gs	Google Cloud Storage
	Example URL: gs://<container>/<key>
azure	Windows Azure Storage
	Example URL: azure://<container>/<key>

 -d,--download              Download file
    --edit                  Edit file in external editor
 -h,--help                  Print this help
 -p,--password <password>   Password
 -u,--upload                Upload file
 -v,--verbose               Print transcript
 -V,--version               Show version number and quit
Cyberduck is libre software licenced under the GPL. For general help about using Cyberduck, please refer to http://help.cyberduck.io/en. For bug reports or feature requests open a ticket at
 https://trac.cyberduck.io/newticket?version=4.6.

comment:8 Changed on Nov 20, 2014 at 2:55:42 PM by dkocher

Added support for copy operation in r15783.

comment:9 Changed on Nov 20, 2014 at 2:56:01 PM by dkocher

Added support for synchronization operation in r15785.

comment:10 Changed on Nov 25, 2014 at 2:53:48 PM by dkocher

Added support for list operation in r15836.

comment:11 Changed on Nov 25, 2014 at 4:11:53 PM by dkocher

Windows CLI package installer in r15820.

comment:12 Changed on Nov 25, 2014 at 4:12:21 PM by dkocher

Registered Windows implementations in r15816.

comment:13 Changed on Dec 5, 2014 at 12:39:10 PM by dkocher

Support Linux RPM build for 32 and 64bit architecture in r15962.

comment:14 Changed on Dec 5, 2014 at 12:39:45 PM by dkocher

Add localization in r15944.

comment:15 Changed on Dec 5, 2014 at 12:40:10 PM by dkocher

Custom RPM spec in r15924.

comment:16 Changed on Dec 5, 2014 at 12:40:43 PM by dkocher

Codesign CLI bundle for Mac as of r15902.

comment:17 Changed on Dec 5, 2014 at 12:41:24 PM by dkocher

CLI installer for Windows in r15820.

comment:18 Changed on Jan 14, 2015 at 2:12:50 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

comment:19 Changed on Jan 14, 2015 at 2:13:10 PM by dkocher

Refer to duck.sh for installation.

comment:20 Changed on Feb 13, 2015 at 9:06:55 AM by dkocher

  • Component changed from core to cli
Note: See TracTickets for help on using tickets.
swiss made software